//
//  igViewController.m
//  TestIGOutput131
//
//  Created by Torrey Betts on 11/07/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "igViewController.h"

@implementation ATActivityTypeDataItem
@end

@interface igViewController ()

@end

@implementation igViewController
{
    NSMutableArray *dataSeen;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    dataSeen = [[NSMutableArray alloc] init];
    [dataSeen addObject:[NSNumber numberWithDouble:0.0]];
    [dataSeen addObject:[NSNumber numberWithDouble:1797.0]];
    [dataSeen addObject:[NSNumber numberWithDouble:977.0]];
    [dataSeen addObject:[NSNumber numberWithDouble:2172.0]];
    [dataSeen addObject:[NSNumber numberWithDouble:1520.0]];
    [dataSeen addObject:[NSNumber numberWithDouble:4212.0]];
    [dataSeen addObject:[NSNumber numberWithDouble:971.0]];
    [dataSeen addObject:[NSNumber numberWithDouble:352.0]];

    IGChartView *chart = [[IGChartView alloc] init];
    chart = [[IGChartView alloc] init];
    chart.frame = CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height);
    chart.autoresizingMask = UIViewAutoresizingFlexibleWidth|UIViewAutoresizingFlexibleHeight;
    chart.theme = [IGChartDefaultThemes IGThemeDark];

    [self.view addSubview:chart];

    IGBarSeries *barSeries1 = (IGBarSeries *)[chart addSeriesForType:[IGBarSeries class]
                                                                 usingKey:@"seenSeries"
                                                           withDataSource:self
                                                             firstAxisKey:@"xAxis"
                                                            secondAxisKey:@"yAxis"];
    barSeries1.title = @"Seen";
    barSeries1.xAxis.extent = 65;
    barSeries1.xAxis.interval = 1000;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

- (IGDataPoint *)series:(IGSeries *)series pointAtIndex:(int)index
{
    IGCategoryPoint *dataPoint = nil;
    if ([series.key isEqualToString:@"seenSeries"])
    {
        if ( (nil != dataSeen) && (index < [dataSeen count]))
        {
            ATActivityTypeDataItem *dataItem = [[ATActivityTypeDataItem alloc] init];
            dataItem.dataPointValue = (float)[[dataSeen objectAtIndex:index] doubleValue];
            dataPoint = [[IGCategoryPoint alloc] initWithValue:dataItem.dataPointValue andLabel:dataItem.label];
        }
    }
    return dataPoint;
}

-(int)numberOfPointsInSeries:(IGSeries *)series

{
    int count = 0;

    if ([series.key isEqualToString:@"seenSeries"])
    {
        count = [dataSeen count];
    }
    return count;

}

@end